## gnocchi 3.1.16

=== requirements.txt ===
pbr
numpy>=1.9.0
iso8601
oslo.config>=2.7.0
oslo.log>=2.3.0
oslo.policy>=0.3.0
oslo.serialization>=1.4.0
oslo.utils>=3.18.0
oslo.middleware>=3.22.0
pandas>=0.18.0
scipy>=0.18.1  # BSD
pecan>=0.9
futures; python_version < '3'
jsonpatch
cotyledon>=1.5.0
six
stevedore
ujson
voluptuous
werkzeug
trollius; python_version < '3.4'
tenacity>=3.1.0  # Apache-2.0
WebOb>=1.4.1,<1.8.0
Paste
PasteDeploy

=== debian/changelog ===
gnocchi (3.1.16-0ubuntu2~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1806041).
  * d/rules: Cleanup .eggs file in dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Sun, 02 Dec 2018 20:58:07 -0500

gnocchi (3.1.15-0ubuntu1) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * New stable point release for OpenStack Pike (LP: #1758046).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Mar 2018 08:41:46 -0400

gnocchi (3.1.9-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 31 Jul 2017 15:01:33 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

UNIT_TEST_BLACKLIST = test_carbonara.CarbonaraCmd.*

%:
	dh $@ --buildsystem=python_distutils --with apache2,python2,sphinxdoc

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils

override_dh_install:
	dh_install --fail-missing

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
	done

	mkdir -p $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common
	PYTHONPATH=$(CURDIR) $(CURDIR)/debian/tmp/usr/bin/gnocchi-config-generator \
		--output-file $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf
	sed -i 's|^[ \t#]*url[ \t#]*=.*|url = sqlite:////var/lib/gnocchi/gnocchidb|' $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf
	sed -i 's|^[# \t]*auth_protocol[\t #]*=.*|auth_protocol = http|' $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-api.config

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-gnocchi-doc/usr/share/doc/python-gnocchi-doc/html ; \
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build debian/gnocchi-common.postinst debian/gnocchi-common.config debian/gnocchi-api.config debian/gnocchi-api.postinst

override_dh_auto_clean:
	rm -rf .eggs

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installgsettings:

## gnocchi 4.1.1

=== requirements.txt ===
pbr
numpy>=1.9.0
iso8601
oslo.config>=3.22.0
oslo.policy>=0.3.0
oslo.middleware>=3.22.0
pandas>=0.18.0
pytimeparse
scipy>=0.18.1  # BSD
pecan>=0.9
futures
jsonpatch
cotyledon>=1.5.0
six
stevedore
ujson
voluptuous
werkzeug
trollius; python_version < '3.4'
tenacity>=4.2.0  # Apache-2.0
WebOb>=1.4.1
Paste
PasteDeploy
monotonic
daiquiri
pyparsing>=2.2.0
lz4>=0.9.0
tooz>=1.38
cachetools

=== debian/changelog ===
gnocchi (4.1.1-0ubuntu3) bionic; urgency=medium

  * d/p/drop-pandas.patch: Cherry pick fix to drop deprecated aggregation
    methods, removing the requirement for pandas.
  * d/control: Drop (Build-)Depends on python3-pandas.

 -- James Page <james.page@ubuntu.com>  Wed, 29 Nov 2017 15:16:58 +0000

gnocchi (4.1.1-0ubuntu2) bionic; urgency=medium

  * d/tests/*: Misc fixes for autpkgtest failures.

 -- James Page <james.page@ubuntu.com>  Wed, 29 Nov 2017 09:32:57 +0000

gnocchi (4.1.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * Migrate package to use Python 3 only.
  * d/control,rules: Use crudini to set sane gnocchi.conf defaults.
  * d/control: Bumped Standards-Version 4.1.1.
  * d/copyright: Switch to https version for Format URL.
  * d/gnocchi-common.install,gnocchi-common.postinst.in: Directly
    install upstream api-paste.ini and policy.json files to /etc/gnocchi.
  * d/tests/*: Tidy tests, perform basic check on top-level entry point.
  * d/p/py3-memcache-tooz-compat.patch: Fix compat with Python 3 when
    using tooz memcached driver.

 -- James Page <james.page@ubuntu.com>  Tue, 28 Nov 2017 17:01:54 +0000

=== debian/control ===
Source: gnocchi
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: apache2-dev,
               debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python3-all,
               python3-pbr,
               python3-setuptools,
               python3-sphinx,
Build-Depends-Indep: crudini,
                     python3-alembic (>= 0.7.6),
                     python3-cachetools,
                     python3-cotyledon (>= 1.2.2),
                     python3-coverage (>= 3.6),
                     python3-daiquiri,
                     python3-doc8,
                     python3-fixtures,
                     python3-future (>= 0.15),
                     python3-gabbi (>= 1.21),
                     python3-iso8601,
                     python3-jsonpatch (>= 1.9),
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-keystonemiddleware (>= 4.0.0),
                     python3-lz4,
                     python3-mock,
                     python3-monotonic,
                     python3-msgpack,
                     python3-numpy,
                     python3-oslo.config (>= 1:3.22.0),
                     python3-oslo.db (>= 4.8.0),
                     python3-oslo.middleware (>= 3.22.0),
                     python3-oslo.policy (>= 0.3.0),
                     python3-oslosphinx (>= 2.2.0.0),
                     python3-paste,
                     python3-pastedeploy,
                     python3-pecan (>= 0.9),
                     python3-prettytable,
                     python3-psycopg2,
                     python3-pymysql,
                     python3-pyparsing,
                     python3-pytimeparse,
                     python3-pytimeparse (>= 1.1.5),
                     python3-requests,
                     python3-scipy,
                     python3-six,
                     python3-sphinx-bootstrap-theme,
                     python3-sphinxcontrib.httpdomain,
                     python3-sqlalchemy,
                     python3-sqlalchemy-utils,
                     python3-stevedore,
                     python3-subunit (>= 0.0.18),
                     python3-swiftclient (>= 3.1.0),
                     python3-sysv-ipc,
                     python3-tenacity (>= 4.2.0),
                     python3-testrepository,
                     python3-testresources,
                     python3-testscenarios,
                     python3-testtools (>= 0.9.38),
                     python3-tooz (>= 1.38),
                     python3-ujson,
                     python3-voluptuous,
                     python3-webob (>= 1.4.1),
                     python3-webtest (>= 2.0.16),
                     python3-werkzeug,
                     python3-yaml,
Standards-Version: 4.1.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/gnocchi
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/gnocchi
Homepage: https://github.com/openstack/gnocchi
XS-Testsuite: autopkgtest

Package: python3-gnocchi
Section: python
Architecture: all
Depends: python3-alembic (>= 0.7.6),
         python3-cotyledon (>= 1.2.2),
         python3-future (>= 0.15),
         python3-iso8601,
         python3-jsonpatch (>= 1.9),
         python3-keystoneclient (>= 1:1.6.0),
         python3-keystonemiddleware (>= 4.0.0),
         python3-lz4,
         python3-msgpack,
         python3-numpy,
         python3-oslo.config (>= 1:3.22.0),
         python3-oslo.db (>= 4.8.0),
         python3-oslo.log (>= 2.3.0),
         python3-oslo.middleware (>= 3.22.0),
         python3-oslo.policy (>= 0.3.0),
         python3-oslo.serialization (>= 1.4.0),
         python3-oslo.utils (>= 3.18.0),
         python3-oslosphinx (>= 2.2.0.0),
         python3-paste,
         python3-pastedeploy,
         python3-pbr,
         python3-pecan (>= 0.9),
         python3-prettytable,
         python3-psycopg2,
         python3-pymysql,
         python3-pytimeparse (>= 1.1.5),
         python3-requests,
         python3-retrying,
         python3-scipy,
         python3-six,
         python3-sqlalchemy,
         python3-sqlalchemy-utils,
         python3-stevedore,
         python3-swiftclient (>= 3.1.0),
         python3-tooz (>= 1.38),
         python3-ujson,
         python3-voluptuous,
         python3-webob (>= 1.4.1),
         python3-werkzeug,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-gnocchi-doc,
Breaks: gnocchi-api (<< 4.1.0-0ubuntu1~),
        gnocchi-common (<< 4.1.0-0ubuntu1~),
        gnocchi-metricd (<< 4.1.0-0ubuntu1~),
        gnocchi-statsd (<< 4.1.0-0ubuntu1~),
        python-gnocchi (<< 4.1.0-0ubuntu1~),
Replaces: gnocchi-api (<< 4.1.0-0ubuntu1~),
          gnocchi-common (<< 4.1.0-0ubuntu1~),
          gnocchi-metricd (<< 4.1.0-0ubuntu1~),
          gnocchi-statsd (<< 4.1.0-0ubuntu1~),
          python-gnocchi (<< 4.1.0-0ubuntu1~),
Description: Metric as a Service - Python 3.x
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the Python 3.x module.

Package: gnocchi-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python3-gnocchi (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
Description: Metric as a Service - common files
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the common files.

Package: gnocchi-api
Architecture: all
Depends: apache2 | httpd,
         gnocchi-common (= ${binary:Version}),
         libapache2-mod-wsgi-py3,
         python3-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${python3:Depends},
Description: Metric as a Service - API daemon
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the API server.

Package: gnocchi-metricd
Architecture: all
Depends: gnocchi-common (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
Description: Metric as a Service - metric daemon
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the metric daemon.

Package: gnocchi-statsd
Architecture: all
Depends: gnocchi-common (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
Description: Metric as a Service - statsd daemon
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the metric daemon.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=gnocchi

%:
	dh $@ --buildsystem=pybuild --with apache2,python3,sphinxdoc

override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	mkdir -p $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common
	PYTHONPATH=$(CURDIR) $(CURDIR)/debian/python3-gnocchi/usr/bin/gnocchi-config-generator \
		--output-file $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf
	crudini --set $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf indexer url sqlite:////var/lib/gnocchi/gnocchidb
	crudini --set $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf keystone_authtoken auth_protocol http
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-api.config

# NOTE(jamespage):
# Skip any test execution as all tests are functional tests in gnocchi
override_dh_auto_test:
	:

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-gnocchi-doc/usr/share/doc/python-gnocchi-doc/html ; \
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build debian/gnocchi-common.postinst debian/gnocchi-common.config debian/gnocchi-api.config debian/gnocchi-api.postinst

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installgsettings:

## gnocchi 4.2.0

=== requirements.txt ===
pbr
numpy>=1.9.0
iso8601
oslo.config>=3.22.0
oslo.policy>=0.3.0
oslo.middleware>=3.22.0
pytimeparse
pecan>=0.9
futures; python_version < '3'
jsonpatch
cotyledon>=1.5.0
six
stevedore
ujson
voluptuous>=0.8.10
werkzeug
trollius; python_version < '3.4'
tenacity>=4.6.0
WebOb>=1.4.1
Paste
PasteDeploy
monotonic
daiquiri
pyparsing>=2.2.0
lz4>=0.9.0
tooz>=1.38
cachetools

=== debian/changelog ===
gnocchi (4.2.0-4~bpo9+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@stretch-queens.infomaniak.ch>  Mon, 04 Jun 2018 12:58:23 +0200

gnocchi (4.2.0-4) unstable; urgency=medium

  * Add patch to remove dependency on distutils (Closes: #896594).

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 Jun 2018 10:41:46 +0200

gnocchi (4.2.0-3) unstable; urgency=medium

  * Add missing gnocchi-statsd daemon package and init script.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 May 2018 09:23:50 +0200

gnocchi (4.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:43:11 +0000

gnocchi (4.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Add patch for Py3 compat, courtesy of James Page from Canonical.
  * Blacklist test_gnocchi_config_generator_run(), we don't care about it
    anyway, as we're using oslo-config-generator.
  * Fixed uwsgi params.
  * Dropped debconf templates, using openstack-pkg-tools >= 70~.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 13:12:12 +0000

gnocchi (4.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Fixed gnocchi-api UWSGI startup.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Feb 2018 14:25:47 +0100

gnocchi (4.0.3-3) unstable; urgency=medium

  * python3-gnocchi breaks+replaces python-gnocchi, therefore allowing
    upgrades from older Gnocchi that was using Python 2.7 (Closes: #881247).
  * Fixed encoding of pt.po.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Nov 2017 22:40:08 +0000

gnocchi (4.0.3-2) unstable; urgency=medium

  * Fixed version of python-sqlalchemy-utils (>= 0.32.14).
  * Updated pt.po (Closes: #876172).
  * Running gnocchi-upgrade instead of dbsync (Closes: #853121).
  * Uploading to unstable.
  * Add missing build-depends: python-all, python-pbr, python-setuptools,
    python3-testresources.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Nov 2017 11:31:24 +0000

gnocchi (4.0.3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Standards-Version is now 4.1.1.
  * Switch the package to Python 3 only, drop Python 2.
  * Add debian/bin with gnocchi-config-generator entrypoint.
  * Fixed oslo-config-generator namespace list for this release.
  * Fixed source location for policy.json and api-paste.ini.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Oct 2017 06:33:31 +0200

gnocchi (3.0.4-4) unstable; urgency=medium

  * German debconf translation update (Closes: #842481).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Apr 2017 18:13:32 +0200

=== debian/control ===
Source: gnocchi
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 74~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 libpq-dev,
 postgresql,
 postgresql-server-dev-all,
 python3-boto3,
 python3-botocore (>= 1.5),
 python3-cachetools,
 python3-cotyledon (>= 1.5.0),
 python3-coverage (>= 3.6),
 python3-daiquiri,
 python3-doc8,
 python3-fixtures,
 python3-future (>= 0.15),
 python3-gabbi (>= 1.37.0),
 python3-iso8601,
 python3-jsonpatch,
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 4.0.0),
 python3-lz4 (>= 0.9.0),
 python3-mock,
 python3-monotonic,
 python3-mysqldb,
 python3-numpy,
 python3-os-testr,
 python3-oslo.config (>= 1:3.22.0),
 python3-oslo.db (>= 4.29.0),
 python3-oslo.middleware (>= 3.22.0),
 python3-oslo.policy,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-prettytable,
 python3-protobuf,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing (>= 2.2.0),
 python3-pytimeparse,
 python3-redis,
 python3-six,
 python3-snappy,
 python3-sphinx-bootstrap-theme,
 python3-sphinx-rtd-theme,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-sqlalchemy-utils (>= 0.32.14),
 python3-stevedore,
 python3-swiftclient (>= 3.1.0),
 python3-sysv-ipc,
 python3-tenacity (>= 4.6.0),
 python3-testresources,
 python3-testscenarios,
 python3-testtools (>= 0.9.38),
 python3-tooz (>= 1.38),
 python3-ujson,
 python3-voluptuous,
 python3-webob,
 python3-webtest (>= 2.0.16),
 python3-werkzeug,
 python3-wsgi-intercept (>= 1.4.1),
 python3-yaml,
 subunit (>= 0.0.18),
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/gnocchi
Vcs-Git: https://salsa.debian.org/openstack-team/services/gnocchi.git
Homepage: https://github.com/openstack/gnocchi

Package: gnocchi-api
Architecture: all
Depends:
 adduser,
 debconf,
 gnocchi-common (= ${binary:Version}),
 lsb-base,
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: Metric as a Service - API daemon
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the API server.

Package: gnocchi-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-gnocchi (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Metric as a Service - common files
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the common files.

Package: gnocchi-metricd
Architecture: all
Depends:
 gnocchi-common (= ${binary:Version}),
 lsb-base,
 ${misc:Depends},
 ${python3:Depends},
Description: Metric as a Service - metric daemon
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the metric daemon.

Package: gnocchi-statsd
Architecture: all
Depends:
 gnocchi-common (= ${binary:Version}),
 lsb-base,
 ${misc:Depends},
 ${python:Depends},
Description: Metric as a Service - statsd daemon
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the statsd daemon.

Package: python3-gnocchi
Section: python
Architecture: all
Depends:
 alembic,
 python3-boto3,
 python3-botocore (>= 1.5),
 python3-cachetools,
 python3-cotyledon (>= 1.5.0),
 python3-daiquiri,
 python3-future (>= 0.15),
 python3-iso8601,
 python3-jsonpatch,
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 4.0.0),
 python3-lz4 (>= 0.9.0),
 python3-monotonic,
 python3-numpy,
 python3-oslo.config (>= 1:3.22.0),
 python3-oslo.db (>= 4.29.0),
 python3-oslo.middleware (>= 3.22.0),
 python3-oslo.policy,
 python3-oslosphinx (>= 2.2.0.0),
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-prettytable,
 python3-protobuf,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing (>= 2.2.0),
 python3-pytimeparse,
 python3-redis,
 python3-six,
 python3-snappy,
 python3-sqlalchemy,
 python3-sqlalchemy-utils (>= 0.32.14),
 python3-stevedore,
 python3-swiftclient (>= 3.1.0),
 python3-tenacity (>= 4.6.0),
 python3-tooz (>= 1.38),
 python3-ujson,
 python3-voluptuous,
 python3-webob,
 python3-werkzeug,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-gnocchi,
Replaces:
 python-gnocchi,
Suggests:
 gnocchi-doc,
Description: Metric as a Service - Python 3.x
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT:=https://github.com/gnocchixyz/gnocchi
include /usr/share/openstack-pkg-tools/pkgos.make

UNIT_TEST_BLACKLIST = test_carbonara.CarbonaraCmd.*|.*test_bin\.BinTestCase\.test_gnocchi_config_generator_run.*

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf build debian/gnocchi-common.postinst debian/gnocchi-common.config debian/gnocchi-api.config debian/gnocchi-api.postinst
	rm -rf debian/CHANGEME-common.postrm debian/*.templates debian/po

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm gnocchi-common.postrm
	pkgos-merge-templates gnocchi-api gnocchi endpoint
	pkgos-merge-templates gnocchi-common gnocchi db ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Not running unit tests until launching mysql or postgresql is fixed..."
#	@echo "===> Running tests"
#	set -e ; set -x ; for i in $(PYTHON3S) ; do \
#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
#	BINDIR=`pg_config --bindir` ; \
#	PG_MYTMPDIR=`mktemp -d` ; \
#	export LC_ALL="C" ; \
#	export LANGUAGE=C ; \
#	PGSQL_PORT=9823 ; \
#	$$BINDIR/initdb -D $$PG_MYTMPDIR ; \
#	$$BINDIR/pg_ctl -w -D $$PG_MYTMPDIR -o "-k $$PG_MYTMPDIR -p $$PGSQL_PORT" start > /dev/null ; \
#	attempts=0 ; \
#	while ! [ -e $$PG_MYTMPDIR/postmaster.pid ] ; do \
#		if [ $$attempts -gt 10 ] ; then \
#			echo "Exiting test: postgres pid file was not created after 30 seconds" ; \
#			exit 1 ; \
#		fi ; \
#		attempts=$$((attempts+1)) ; \
#		sleep 3 ; \
#	done ; \
#		export GNOCCHI_INDEXER_URL="postgresql:///template1?host=$$PG_MYTMPDIR&port=9823" ; \
#		export GNOCCHI_TEST_STORAGE_DRIVER=file ; \
#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
#		rm -rf .testrepository ; \
#		testr-python$$PYMAJOR init ; \
#		TEMP_REZ=`mktemp -t` ; \
#		export PATH=$(PATH):$(CURDIR)/debian/bin && PYTHONPATH=$(CURDIR):$(CURDIR)/debian/bin PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'gnocchi\.tests\.(?!.*('"$(UNIT_TEST_BLACKLIST)"'))' | tee $$TEMP_REZ | subunit2pyunit ; \
#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
#		rm -f $$TEMP_REZ ; \
#		testr-python$$PYMAJOR slowest ; \
#		echo "===> Stopping PGSQL" ; \
#		$$BINDIR/pg_ctl stop -D $$PG_MYTMPDIR ; \
#	done
endif


	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/gnocchi/indexer
	cp -auxf gnocchi/indexer/alembic $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/gnocchi/indexer
	rm -rf $(CURDIR)/debian/python*-gnocchi/usr/lib/python*/dist-packages/*.pth
	rm -rf $(CURDIR)/debian/python*-gnocchi/usr/etc

	mkdir -p $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf \
		--wrap-width 140 \
		--namespace gnocchi \
		--namespace oslo.db \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.healthcheck \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace cotyledon \
		--namespace keystonemiddleware.auth_token
	sed -i 's|^[ \t#]*url[ \t#]*=.*|url = sqlite:////var/lib/gnocchi/gnocchidb|' $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf

	dh_install
	dh_missing --fail-missing


override_dh_sphinxdoc:
#		echo "===> Starting PGSQL" ; \
#		BINDIR=`pg_config --bindir` ; \
#		PG_MYTMPDIR=`mktemp -d` ; \
#		chown postgres:postgres $$PG_MYTMPDIR || true ; \
#		export PGHOST=$$PG_MYTMPDIR ; \
#		chmod +x debian/start_pg.sh ; \
#		debian/start_pg.sh $$PG_MYTMPDIR ; \
#		export GNOCCHI_TEST_INDEXER_URL="postgresql:///template1?host=$$PG_MYTMPDIR&port=9823" ; \
#	PYTHONPATH=. sphinx-build -b html doc/source debian/python3-gnocchi-doc/usr/share/doc/python3-gnocchi-doc/html ; \
#	dh_sphinxdoc -O--buildsystem=python_distutils ; \
#		$$BINDIR/pg_ctl stop -D $$PG_MYTMPDIR
	echo "Do nothing..."

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installgsettings:

## gnocchi 4.2.4

=== requirements.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 werkzeug
 trollius; python_version < '3.4'
 tenacity>=4.6.0
-WebOb>=1.4.1
+WebOb>=1.4.1,<1.8.0
 Paste
 PasteDeploy
 monotonic

=== debian/changelog ===
gnocchi (4.2.4-0ubuntu3) cosmic; urgency=medium

  * Enable alternative python2 dependencies for gnocchi-api (LP: #1746992):
    - d/control: gnocchi-api depends on libapache2-mod-wsgi-py3 by default and
      libapache2-mod-wsgi as an alternative. gnocchi-api also depends on
      gnocchi-common, which depends on python3-gnocchi by default and
      python-gnocchi as an alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-gnocchi packages.
    - d/control: Add Conflicts to python(3)-gnocchi binary to ensure both
      can't be installed at the same time.
    - d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite and drop
      obsolete XS-Testsuite: autopkgtest header.
    - d/tests/*: Add Python 2/3 autopkgtests for gnocchi daemons and shebangs.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Jun 2018 13:22:19 -0400

gnocchi (4.2.4-0ubuntu2) cosmic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1767128).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 May 2018 15:11:13 -0400

gnocchi (4.2.0-0ubuntu5) bionic; urgency=medium

  [ Thomas Goirand ]
  * Dropped debconf templates, using openstack-pkg-tools >= 74~
    (LP: #1765190).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Apr 2018 09:49:11 -0400

gnocchi (4.2.0-0ubuntu4) bionic; urgency=medium

  * Avoid usage of distutils.spawn and distutils.util.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Apr 2018 23:46:22 +0200

gnocchi (4.2.0-0ubuntu2) bionic; urgency=medium

  * d/p/py3-compat.patch: Further py3 fixes resolving autopkgtest
    failures.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2018 09:09:11 +0000

gnocchi (4.2.0-0ubuntu1) bionic; urgency=medium

  * New upstream release:
    - d/p/*: Drop, all upstream.
    - d/control: Align (Build-)Depends with upstream.
  * d/rules,control,python{3}-gnocchi.p*: Re-introduce a Python 2
    compatible module for gnocchi, supporting all-in-one installation
    under Apache2/WSGI with other OpenStack services which have not
    yet transitioned to Python 3.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 18:01:00 +0000

## gnocchi 4.2.5

=== debian/changelog ===
gnocchi (4.2.5-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1806043).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Dec 2018 09:15:05 -0500

gnocchi (4.2.4-0ubuntu1.1) bionic; urgency=medium

  * Enable alternative python2 dependencies for gnocchi-api (LP: #1746992):
    - d/control: gnocchi-api depends on libapache2-mod-wsgi-py3 by default and
      libapache2-mod-wsgi as an alternative. gnocchi-api also depends on
      gnocchi-common, which depends on python3-gnocchi by default and
      python-gnocchi as an alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-gnocchi packages.
    - d/control: Add Conflicts to python(3)-gnocchi binary to ensure both
      can't be installed at the same time.
    - d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite and drop
      obsolete XS-Testsuite: autopkgtest header.
    - d/tests/*: Add Python 2/3 autopkgtests for gnocchi daemons and shebangs.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Jun 2018 22:08:16 -0400

gnocchi (4.2.4-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1767128).
  * d/gbp.conf: Create stable/queens branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 May 2018 15:11:13 -0400

=== debian/control ===
Source: gnocchi
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 apache2-dev,
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools (>= 74~),
 python-all,
 python-pbr,
 python-setuptools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 crudini,
 python-alembic (>= 0.7.6),
 python-cachetools,
 python-cotyledon (>= 1.2.2),
 python-coverage (>= 3.6),
 python-daiquiri,
 python-doc8,
 python-fixtures,
 python-future (>= 0.15),
 python-gabbi (>= 1.21),
 python-iso8601,
 python-jsonpatch (>= 1.9),
 python-keystoneclient (>= 1:1.6.0),
 python-keystonemiddleware (>= 4.0.0),
 python-lz4,
 python-mock,
 python-monotonic,
 python-msgpack,
 python-numpy,
 python-oslo.config (>= 1:3.22.0),
 python-oslo.db (>= 4.8.0),
 python-oslo.middleware (>= 3.22.0),
 python-oslo.policy (>= 0.3.0),
 python-oslosphinx (>= 2.2.0.0),
 python-paste,
 python-pastedeploy,
 python-pecan (>= 0.9),
 python-prettytable,
 python-psycopg2,
 python-pymysql,
 python-pyparsing,
 python-pytimeparse,
 python-pytimeparse (>= 1.1.5),
 python-requests,
 python-six,
 python-sphinx-bootstrap-theme,
 python-sphinxcontrib.httpdomain,
 python-sqlalchemy,
 python-sqlalchemy-utils,
 python-stevedore,
 python-subunit (>= 0.0.18),
 python-swiftclient (>= 3.1.0),
 python-sysv-ipc,
 python-tenacity (>= 4.6.0),
 python-testrepository,
 python-testresources,
 python-testscenarios,
 python-testtools (>= 0.9.38),
 python-tooz (>= 1.38),
 python-ujson,
 python-voluptuous (>= 0.8.10),
 python-webob (>= 1.4.1),
 python-webtest (>= 2.0.16),
 python-werkzeug,
 python-yaml,
 python3-alembic (>= 0.7.6),
 python3-cachetools,
 python3-cotyledon (>= 1.2.2),
 python3-coverage (>= 3.6),
 python3-daiquiri,
 python3-doc8,
 python3-fixtures,
 python3-gabbi (>= 1.21),
 python3-iso8601,
 python3-jsonpatch (>= 1.9),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 4.0.0),
 python3-lz4,
 python3-mock,
 python3-monotonic,
 python3-msgpack,
 python3-numpy,
 python3-oslo.config (>= 1:3.22.0),
 python3-oslo.db (>= 4.8.0),
 python3-oslo.middleware (>= 3.22.0),
 python3-oslo.policy (>= 0.3.0),
 python3-oslosphinx (>= 2.2.0.0),
 python3-paste,
 python3-pastedeploy,
 python3-pecan (>= 0.9),
 python3-prettytable,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-pytimeparse,
 python3-pytimeparse (>= 1.1.5),
 python3-requests,
 python3-six,
 python3-sphinx-bootstrap-theme,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore,
 python3-subunit (>= 0.0.18),
 python3-swiftclient (>= 3.1.0),
 python3-sysv-ipc,
 python3-tenacity (>= 4.6.0),
 python3-testrepository,
 python3-testresources,
 python3-testscenarios,
 python3-testtools (>= 0.9.38),
 python3-tooz (>= 1.38),
 python3-ujson,
 python3-voluptuous (>= 0.8.10),
 python3-webob (>= 1.4.1),
 python3-webtest (>= 2.0.16),
 python3-werkzeug,
 python3-yaml,
Standards-Version: 4.1.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/gnocchi
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/gnocchi
Homepage: https://github.com/openstack/gnocchi
Testsuite: autopkgtest-pkg-python

Package: gnocchi-api
Architecture: all
Depends:
 apache2 | httpd,
 gnocchi-common (= ${binary:Version}),
 libapache2-mod-wsgi-py3 | libapache2-mod-wsgi,
 q-text-as-data,
 ${misc:Depends},
Description: Metric as a Service - API daemon
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the API server.

Package: gnocchi-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-gnocchi (= ${binary:Version}) | python-gnocchi (= ${binary:Version}),
 ${misc:Depends},
Description: Metric as a Service - common files
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the common files.

Package: gnocchi-metricd
Architecture: all
Depends:
 gnocchi-common (= ${binary:Version}),
 ${misc:Depends},
Description: Metric as a Service - metric daemon
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the metric daemon.

Package: gnocchi-statsd
Architecture: all
Depends:
 gnocchi-common (= ${binary:Version}),
 ${misc:Depends},
Description: Metric as a Service - statsd daemon
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the metric daemon.

Package: python-gnocchi
Section: python
Architecture: all
Depends:
 python-alembic (>= 0.7.6),
 python-cotyledon (>= 1.2.2),
 python-future (>= 0.15),
 python-iso8601,
 python-jsonpatch (>= 1.9),
 python-keystoneclient (>= 1:1.6.0),
 python-keystonemiddleware (>= 4.0.0),
 python-lz4,
 python-msgpack,
 python-numpy,
 python-openstackclient,
 python-oslo.config (>= 1:3.22.0),
 python-oslo.db (>= 4.8.0),
 python-oslo.log (>= 2.3.0),
 python-oslo.middleware (>= 3.22.0),
 python-oslo.policy (>= 0.3.0),
 python-oslo.serialization (>= 1.4.0),
 python-oslo.utils (>= 3.18.0),
 python-oslosphinx (>= 2.2.0.0),
 python-paste,
 python-pastedeploy,
 python-pbr,
 python-pecan (>= 0.9),
 python-prettytable,
 python-psycopg2,
 python-pymysql,
 python-pytimeparse (>= 1.1.5),
 python-requests,
 python-retrying,
 python-six,
 python-sqlalchemy,
 python-sqlalchemy-utils,
 python-stevedore,
 python-swiftclient (>= 3.1.0),
 python-tooz (>= 1.38),
 python-ujson,
 python-voluptuous (>= 0.8.10),
 python-webob (>= 1.4.1),
 python-werkzeug,
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-gnocchi-doc,
Breaks:
 gnocchi-api (<< 4.1.0-0ubuntu1~),
 gnocchi-common (<< 4.1.0-0ubuntu1~),
 gnocchi-metricd (<< 4.1.0-0ubuntu1~),
 gnocchi-statsd (<< 4.1.0-0ubuntu1~),
Replaces:
 gnocchi-api (<< 4.1.0-0ubuntu1~),
 gnocchi-common (<< 4.1.0-0ubuntu1~),
 gnocchi-metricd (<< 4.1.0-0ubuntu1~),
 gnocchi-statsd (<< 4.1.0-0ubuntu1~),
Conflicts:
 python3-gnocchi,
Description: Metric as a Service - Python 2.x
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the Python 2.x module.

Package: python3-gnocchi
Section: python
Architecture: all
Depends:
 python3-alembic (>= 0.7.6),
 python3-cotyledon (>= 1.2.2),
 python3-iso8601,
 python3-jsonpatch (>= 1.9),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 4.0.0),
 python3-lz4,
 python3-msgpack,
 python3-numpy,
 python3-openstackclient,
 python3-oslo.config (>= 1:3.22.0),
 python3-oslo.db (>= 4.8.0),
 python3-oslo.log (>= 2.3.0),
 python3-oslo.middleware (>= 3.22.0),
 python3-oslo.policy (>= 0.3.0),
 python3-oslo.serialization (>= 1.4.0),
 python3-oslo.utils (>= 3.18.0),
 python3-oslosphinx (>= 2.2.0.0),
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan (>= 0.9),
 python3-prettytable,
 python3-psycopg2,
 python3-pymysql,
 python3-pytimeparse (>= 1.1.5),
 python3-requests,
 python3-retrying,
 python3-six,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore,
 python3-swiftclient (>= 3.1.0),
 python3-tooz (>= 1.38),
 python3-ujson,
 python3-voluptuous (>= 0.8.10),
 python3-webob (>= 1.4.1),
 python3-werkzeug,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-gnocchi-doc,
Breaks:
 gnocchi-api (<< 4.1.0-0ubuntu1~),
 gnocchi-common (<< 4.1.0-0ubuntu1~),
 gnocchi-metricd (<< 4.1.0-0ubuntu1~),
 gnocchi-statsd (<< 4.1.0-0ubuntu1~),
 python-gnocchi (<< 4.1.0-0ubuntu1~),
Replaces:
 gnocchi-api (<< 4.1.0-0ubuntu1~),
 gnocchi-common (<< 4.1.0-0ubuntu1~),
 gnocchi-metricd (<< 4.1.0-0ubuntu1~),
 gnocchi-statsd (<< 4.1.0-0ubuntu1~),
 python-gnocchi (<< 4.1.0-0ubuntu1~),
Conflicts:
 python-gnocchi,
Description: Metric as a Service - Python 3.x
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=gnocchi

%:
	dh $@ --buildsystem=pybuild --with apache2,python2,python3,sphinxdoc

override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	mkdir -p $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common
	PYTHONPATH=$(CURDIR) $(CURDIR)/debian/python3-gnocchi/usr/bin/gnocchi-config-generator \
		--output-file $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf
	crudini --set $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf indexer url sqlite:////var/lib/gnocchi/gnocchidb
	crudini --set $(CURDIR)/debian/gnocchi-common/usr/share/gnocchi-common/gnocchi.conf keystone_authtoken auth_protocol http
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func gnocchi-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm gnocchi-common.postrm
	pkgos-merge-templates gnocchi-api gnocchi endpoint
	pkgos-merge-templates gnocchi-common gnocchi db ksat
	mv $(CURDIR)/debian/python-gnocchi/usr/bin/gnocchi-api $(CURDIR)/debian/python-gnocchi/usr/bin/python2-gnocchi-api
	mv $(CURDIR)/debian/python3-gnocchi/usr/bin/gnocchi-api $(CURDIR)/debian/python3-gnocchi/usr/bin/python3-gnocchi-api
	mv $(CURDIR)/debian/python-gnocchi/usr/bin/gnocchi-change-sack-size $(CURDIR)/debian/python-gnocchi/usr/bin/python2-gnocchi-change-sack-size
	mv $(CURDIR)/debian/python3-gnocchi/usr/bin/gnocchi-change-sack-size $(CURDIR)/debian/python3-gnocchi/usr/bin/python3-gnocchi-change-sack-size
	mv $(CURDIR)/debian/python-gnocchi/usr/bin/gnocchi-config-generator $(CURDIR)/debian/python-gnocchi/usr/bin/python2-gnocchi-config-generator
	mv $(CURDIR)/debian/python3-gnocchi/usr/bin/gnocchi-config-generator $(CURDIR)/debian/python3-gnocchi/usr/bin/python3-gnocchi-config-generator
	mv $(CURDIR)/debian/python-gnocchi/usr/bin/gnocchi-metricd $(CURDIR)/debian/python-gnocchi/usr/bin/python2-gnocchi-metricd
	mv $(CURDIR)/debian/python3-gnocchi/usr/bin/gnocchi-metricd $(CURDIR)/debian/python3-gnocchi/usr/bin/python3-gnocchi-metricd
	mv $(CURDIR)/debian/python-gnocchi/usr/bin/gnocchi-statsd $(CURDIR)/debian/python-gnocchi/usr/bin/python2-gnocchi-statsd
	mv $(CURDIR)/debian/python3-gnocchi/usr/bin/gnocchi-statsd $(CURDIR)/debian/python3-gnocchi/usr/bin/python3-gnocchi-statsd
	mv $(CURDIR)/debian/python-gnocchi/usr/bin/gnocchi-upgrade $(CURDIR)/debian/python-gnocchi/usr/bin/python2-gnocchi-upgrade
	mv $(CURDIR)/debian/python3-gnocchi/usr/bin/gnocchi-upgrade $(CURDIR)/debian/python3-gnocchi/usr/bin/python3-gnocchi-upgrade

# NOTE(jamespage):
# Skip any test execution as all tests are functional tests in gnocchi
override_dh_auto_test:
	:

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-gnocchi-doc/usr/share/doc/python-gnocchi-doc/html ; \
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build debian/gnocchi-common.postinst debian/gnocchi-common.config debian/gnocchi-api.config debian/gnocchi-api.postinst
	rm -rf debian/CHANGEME-common.postrm debian/*.templates debian/po

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installgsettings:

=== debian/tests/control ===
Tests: gnocchi-daemons, gnocchi-shebangs-py2
Depends: libapache2-mod-wsgi, python-gnocchi,
 gnocchi-api, gnocchi-metricd, gnocchi-statsd,
 crudini, mysql-server, uuid-runtime, memcached
Restrictions: needs-root, allow-stderr

Tests: gnocchi-daemons, gnocchi-shebangs-py3
Depends: gnocchi-api, gnocchi-metricd, gnocchi-statsd,
 crudini, mysql-server, uuid-runtime, memcached
Restrictions: needs-root, allow-stderr

## gnocchi 4.3.0

=== debian/changelog ===
gnocchi (4.3.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 10:23:21 -0400

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,11 @@
  python-all,
  python-pbr,
  python-setuptools,
+ python-setuptools-scm,
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-sphinx,
 Build-Depends-Indep:
  crudini,
